---
name: Bug report
about: Create a report to help us improve
title: ''
labels: bug
assignees: ''

---

**Describe the bug**
A clear and concise description of what the bug is.

**To Reproduce**
Steps to reproduce the behavior:
1. Foo
2. Bar
3. Baz

**Expected behavior**
A clear and concise description of what you expected to happen.

**Screenshots**
If applicable, add screenshots to help explain your problem.

**Version**
The version of CB you're using, how you got it, and what system you're using.
Ex: I'm using CB 0.42.0 from the Arch repos with AmogOS.

**Questionnaire**
Check these boxes to see if your issue is valid or not.
- [ ] If I compiled CB, then any errors that may be present don't mention "LTO error" (this is sadly a bug with the compiler, not Clipboard)
- [ ] If I compiled CB, then any errors that may be present don't mention "XYZ has not been defined in namespace std" (this sadly means you need a compiler with C++20 support, so upgrade first)
- [ ] I check all these boxes without reading them
- [ ] I think bachata is the best music
- [ ] I'm using the latest commit/release (we only support the latest)
- [ ] If I downloaded CB from GitHub Actions or with the install script, any errors that may be present don't mention "GLIBC XYZ not found" (your system is sadly too outdated for CB, so upgrade it)

**Additional context**
Add any other context about the problem here.

**Before you post**
Please make sure you check previous bug reports before filing a new one.
This will help keep the Issues section less cluttered. :)
Feel free to delete this section once you've completed this form.
